Skip to main content
GET
/
files
/
{id}
Get file
curl --request GET \
  --url https://app.mavera.io/api/v1/files/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "object": "file",
  "name": "<string>",
  "url": "<string>",
  "type": "<string>",
  "size": 123,
  "source": "upload",
  "workspace_id": "<string>",
  "folder_id": "<string>",
  "folder": {
    "id": "<string>",
    "name": "<string>"
  },
  "thumbnail_url": "<string>",
  "metadata": {},
  "is_favorite": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.mavera.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key prefixed with mvra_live_. Create keys at Settings > Developer > API Keys.

Path Parameters

id
string
required

File ID

Response

File details

A file/asset stored in Mavera

id
string

Unique file identifier

object
enum<string>
Available options:
file
name
string

File name

url
string<uri>

Direct URL to access the file

type
string

MIME type of the file (e.g., 'image/png', 'application/pdf')

size
integer | null

File size in bytes

source
enum<string>

Source of the file upload

Available options:
upload,
google_drive,
dropbox,
dropbox_chooser,
onedrive,
onedrive_picker,
url
workspace_id
string

Workspace ID

folder_id
string | null

Folder ID if file is in a folder

folder
object

Folder details if file is in a folder

thumbnail_url
string<uri> | null

Thumbnail URL for images/videos

metadata
object

Custom metadata attached to the file

is_favorite
boolean

Whether the file is in your favorites

created_at
string<date-time>
updated_at
string<date-time>